/**
 * @file Tooling functions
 * @author Robert Riemann <robert.riemann@edps.europa.eu>
 * @copyright European Data Protection Supervisor (2019)
 * @license EUPL-1.2
 */
import { Page } from "puppeteer";
import { Logger } from "winston";
import { UrlWithStringQuery } from "node:url";
export declare function sampleSizeSeeded<T>(array: T[], sampleSize: number, seed?: string): T[];
export declare function safeJSONParse(obj: string): any;
export declare function isFirstParty(refs_regexp: RegExp, uri_test: UrlWithStringQuery): boolean;
export declare function getLocalStorage(page: Page, logger: Logger, data: {}): Promise<{}>;
